## org.eclipse.ocl
Class EvaluationHaltedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.ocl.EvaluationHaltedException

All Implemented Interfaces:
  Serializable

    public class EvaluationHaltedException

extends RuntimeException

Exception indicating a managed interruption of evaluation.

Other languages that extend OCL may need to stop evaluation at any point. This can be done at expression level granularity by throwing this exception during evaluation. The evaluation visitor and other participants recognizes this exception as a protocol for interrupting its execution and ensure its propagated to the top level caller.

A diagnostic object can be attached, so arbitrary information about the current execution context can be carried.

Since:
  1.3
See Also:
  Serialized Form

Constructor Summary
`EvaluationHaltedException(Diagnostic diagnostic)` Initializes me with a diagnostic describing the nature of stopping evaluation.
`EvaluationHaltedException(String message)` Initializes me with a message describing the nature of stopping evaluation.
`EvaluationHaltedException(String message, Throwable cause)` Initializes me with a message and diagnostic describing the nature of stopping evaluation.

Method Summary
`Diagnostic` `getDiagnostic()` Obtains the diagnostic providing further information about this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EvaluationHaltedException

    public EvaluationHaltedException(String message)

  Initializes me with a message describing the nature of stopping evaluation.

  Parameters:
    `message` - the message text

### EvaluationHaltedException

    public EvaluationHaltedException(Diagnostic diagnostic)

  Initializes me with a diagnostic describing the nature of stopping evaluation.

  Parameters:
    `diagnostic` - non-null diagnostic object

### EvaluationHaltedException

    public EvaluationHaltedException(String message,
                                     Throwable cause)

  Initializes me with a message and diagnostic describing the nature of stopping evaluation.

  Parameters:
    `message` - a user-friendly message
    `cause` - the cause of the evaluation failure

Method Detail

### getDiagnostic

    public Diagnostic getDiagnostic()

  Obtains the diagnostic providing further information about this exception.

  Returns:
    the diagnostic object

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.